<!--
		 requires a (dict "model" ["modelFor"]), where:
	 - .model is the model collection model name, "companies", "tags"
		 optional:
	 - .forModel: other model, associated to the .model (ex: new company for this `tag`)
-->

{{ $site := .site }}
<!-- make the model type reflex the folder/git content path -->
{{ $modelType := .model | singularize }}
{{ $forModel := .forModel }}

{{ $forModelTitle := "" }}
{{ if $forModel }}
{{ $forModelTitle = (delimit (slice "for" "tag" .forModel) "+") }}
{{ end }}

{{ $issueTitle := (delimit (slice "New" $modelType $forModelTitle) "+") }}

{{ $newModelUrl := (delimit (slice $site.Params.gitProjectUrl "/-/issues/new/?issue[title]=" $issueTitle "&issue[description]=new&issuable_template=new_" $modelType) "") }}

<nav role="actions">
	<nav-item title="Add a new {{ $modelType }} to this list.">
		Add a <a href="{{ $newModelUrl }}">new {{ $modelType }}</a>
		{{ with $forModel }}for #{{ . }}{{ end }}.
	</nav-item>
</nav>
